Bug 568748 - Missing BR to get XkbBell() support
Missing BR to get XkbBell() support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-26 09:31 EST by Chris Adams
Modified: 2010-03-12 21:32 EST (History)
2 users (show)

See Also:
Fixed In Version: xterm-256-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-12 21:32:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Adams 2010-02-26 09:31:58 EST
There is a bug in Fedora 12 that breaks XBell() support (don't know if it will get fixed), which means xterm can't beep.  There is support in xterm for XkbBell(), but it needs a header file from libxkbfile-devel to build.  It is auto-detected by configure, so just adding libxkbfile-devel to the spec file BuildRequires solves the problem.

There is a bug in xterm that keeps it from creating the necessary X atoms for beeps; here is a one-line patch (against xterm-255, but obvious patch for any version).  I've also sent this patch upstream.

diff -urN xterm-255-dist/misc.c xterm-255/misc.c
--- xterm-255-dist/misc.c       Thu Jan 21 03:34:58 2010
+++ xterm-255/misc.c    Fri Feb 26 08:25:14 2010
@@ -800,7 +800,7 @@

     for (n = 0; n < XtNumber(table); ++n) {
        if (table[n].value == which) {
-           result = XInternAtom(XtDisplay(xw), table[n].name, True);
+           result = XInternAtom(XtDisplay(xw), table[n].name, False);
            break;
        }
     }

With this patch and the BR added to the spec file, xterm can beep again in F12.
Comment 1 Fedora Update System 2010-03-09 07:20:13 EST
xterm-256-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xterm-256-1.fc13
Comment 2 Fedora Update System 2010-03-09 07:20:18 EST
xterm-256-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xterm-256-1.fc12
Comment 3 Fedora Update System 2010-03-10 01:46:38 EST
xterm-256-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xterm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xterm-256-1.fc12
Comment 4 Fedora Update System 2010-03-11 08:25:28 EST
xterm-256-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2010-03-12 21:32:04 EST
xterm-256-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.